/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/plateg-variables.less';
.header-component {
  // Stop header from scrolling with content
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 1060;
  border-bottom: @platform-devider-border-style;
  @media screen and (max-width: 783px) {
    position: relative;
  }

  + section,
  + main,
  + div {
    @media screen and (max-width: 783px) {
      margin-top: 0;
    }
  }

  background-color: @platform-blue5;
  color: black;
  padding: 0;
  font-weight: bold;
  height: auto;
  font-size: 1.4rem;
  text-transform: none;
  min-height: 42px;
  line-height: 42px;
  &.hidden {
    display: none;
  }
  .help-link {
    color: #000;
  }
  .ant-btn-text {
    &:hover {
      background-color: #000 !important;
    }
  }
}

.header-wrapper {
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  align-items: center;
  padding: 1px 0;
  min-height: 43px;
  & > * {
    // padding: 10px 0;
    &.header-right {
      padding: 0;
      flex-shrink: 0;
      @media screen and (max-width: 577px) {
        padding: 0 0 10px;
      }
      .ant-btn {
        margin: 5px;
        display: inline-block;
      }
    }
  }
  .header-left {
    margin-top: 13px;
    margin-bottom: 13px;
    margin-left: 24px;
    li {
      &:not(:last-child)::after {
        content: '/';
        margin-left: 5px;
        margin-right: 5px;
      }
    }
    .ant-breadcrumb-separator {
      width: 0;
      height: 0;
      margin: 0;
      &::after {
        content: '' !important;
        margin: 0;
      }
    }
  }
  .header-center {
    flex-grow: 1;
    .holder {
      overflow: hidden;
      text-overflow: ellipsis;
      text-align: center;
      white-space: nowrap;
      @media screen and (max-width: 577px) {
        max-width: 200px;
      }
    }
  }
  .header-last {
    padding-left: 24px;
    padding-right: 10px;
    order: 1;
    flex-shrink: 0;
    @media screen and (max-width: 577px) {
      order: 0;
      padding-left: 0;
    }
    .table-menu-button {
      border: 1px solid @platform-blue2;
      span {
        color: @platform-blue2;
        font-size: 2rem;
      }
      &:focus {
        border-color: #000;
        span {
          color: #fff;
        }
      }
    }
    .ant-btn {
      display: inline-block;
    }
    & > * {
      margin: 0 5px;
    }
  }
}
.headerRightAlternative-overlay {
  z-index: 1061;
}
